using System.Text;
using System;
using System.Collections;
using maddox.game;
using maddox.game.world;
using System.Collections.Generic;
using System.ComponentModel;
using System.Threading;
using System.Diagnostics;
using part;

public class Mission : AMission
{
	public override void OnBattleStarted()
	{
		base.OnBattleStarted();
	}

	public override void OnTrigger(int missionNumber, string shortName, bool active)
	{
		base.OnTrigger(missionNumber, shortName, active);
		if ("trigger01".Equals(shortName) && active)
		{
			AiAction action = GamePlay.gpGetAction(ActorName.Full(missionNumber, "action01"));
			if (action != null)
				action.Do();
			action = GamePlay.gpGetAction(ActorName.Full(missionNumber, "action02"));
			if (action != null)
				action.Do();
			action = GamePlay.gpGetAction(ActorName.Full(missionNumber, "action03"));
			if (action != null)
				action.Do();
			action = GamePlay.gpGetAction(ActorName.Full(missionNumber, "action04"));
			if (action != null)
				action.Do();
			GamePlay.gpGetTrigger(shortName).Enable = false;
		}
	}
}
